# Class AuthenticatorFactory

java.lang.Object
org.apache.tomcat.websocket.AuthenticatorFactory

public class AuthenticatorFactory extends Object
Utility method to return the appropriate authenticator according to the scheme that the server uses.

## Constructor Summary

Constructors
Constructor
Description
`AuthenticatorFactory()`

## Method Summary

Modifier and Type
Method
Description
`static Authenticator`
`getAuthenticator(String authScheme)`
Return a new authenticator instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AuthenticatorFactory

public AuthenticatorFactory()

## Method Details

### getAuthenticator

public static Authenticator getAuthenticator(String authScheme)
Return a new authenticator instance.

Parameters:
  `authScheme` - The scheme used
Returns:
  the authenticator